> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscription history (most-recent first)

> List all subscription records for the given workspace, most-recent first.




## OpenAPI

````yaml https://global.thenile.dev/openapi.yaml get /workspaces/{workspaceSlug}/subscription/history
openapi: 3.0.1
info:
  title: Nile ReST API
  description: Making SaaS chill.
  contact:
    email: support@thenile.dev
  version: 0.1.0-1133318
servers:
  - url: https://global.thenile.dev
security: []
paths:
  /workspaces/{workspaceSlug}/subscription/history:
    get:
      tags:
        - workspaces
      summary: List subscription history (most-recent first)
      description: >
        List all subscription records for the given workspace, most-recent
        first.
      operationId: getWorkspaceSubscriptionHistory
      parameters:
        - name: workspaceSlug
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkspaceSubscriptionDto'
      security:
        - jwtBearerAuth: []
components:
  schemas:
    WorkspaceSubscriptionDto:
      type: object
      properties:
        workspace:
          type: string
        level:
          type: string
        validFrom:
          type: string
          format: date-time
        validTo:
          type: string
          format: date-time
  securitySchemes:
    jwtBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````